import request from '@/utils/request'

// 查询列表
export function getServicelist(query) {
  return request({
    url: '/admin/pm_service/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getService(params) {
  return request({
    url: '/admin/pm_service/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addService(data) {
  return request({
    url: '/admin/pm_service/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateService(data) {
  return request({
    url: '/admin/pm_service/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delService(finr, id) {
  return request({
    url: `/admin/pm_service/del?finr=${finr}&mainserviceid=${id}`,
    method: 'delete'
  })
}

// 查询未分配
export function getUnassignList() {
  return request({
    url: '/admin/pm_service/selectall',
    method: 'get'
  })
}
