import request from '@/utils/request'

// 查询列表
export function listScripttab(query) {
  return request({
    url: '/admin/scripttab/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getScripttab(params) {
  return request({
    url: '/admin/scripttab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addScripttab(data) {
  return request({
    url: '/admin/scripttab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateScripttab(data) {
  return request({
    url: '/admin/scripttab/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delScripttab(finr, script) {
  return request({
    url: `/admin/scripttab/del?finr=${finr}&script=${script}`,
    method: 'delete'
  })
}
// 上传
export function uploadExcel(data) {
  return request({
    url: '/admin/scripttab/upexcel',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: data
  })
}

// 查询详细
export function getTableColumn(params) {
  return request({
    url: '/admin/scripttab/selectarr',
    method: 'get',
    params: params
  })
}

// 上传二维表
export function uploadTwoExcel(data) {
  return request({
    url: '/admin/scripttab/uptwoexcel',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: data
  })
}
