import request from '@/utils/request'

// 查询菜单列表
export function listMenu(query) {
  return request({
    url: '/admin/menu/menulist',
    method: 'get',
    params: query
  })
}

// 查询菜单详细
export function getMenu(menuId) {
  return request({
    url: '/admin/menu/menubyid',
    method: 'get',
    params: menuId
  })
}

// 查询菜单下拉树结构
export function treeselect() {
  return request({
    url: '/admin/menu/menuTreeselect',
    method: 'get'
  })
}

// 根据角色ID查询菜单下拉树结构
export function roleMenuTreeselect(params) {
  return request({
    url: '/admin/menu/roleMenuTreeselect/' + params,
    method: 'get'
  })
}

// 新增菜单
export function addMenu(data) {
  return request({
    url: '/admin/menu/addmenu',
    method: 'post',
    data: data
  })
}

// 修改菜单
export function updateMenu(data) {
  return request({
    url: '/admin/menu/upmenu',
    method: 'put',
    data: data
  })
}

// 删除菜单
export function delMenu(menuId) {
  return request({
    url: '/admin/menu/delmenu/' + menuId,
    method: 'delete'
  })
}
