import request from '@/utils/request'

export function getPrinterList(query) {
  return request({
    url: '/admin/printertab/listpage',
    method: 'get',
    params: query
  })
}

export function getPrinter(query) {
  return request({
    url: '/admin/printertab/selectinfo',
    method: 'get',
    params: query
  })
}

// 新增
export function addPrinter(data) {
  return request({
    url: '/admin/printertab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updatePrinter(data) {
  return request({
    url: '/admin/printertab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delPrinter(finr, id) {
  return request({
    url: `/admin/printertab/del?finr=${finr}&printerid=${id}`,
    method: 'delete'
  })
}
