import request from '@/utils/request'

// 查询角色列表
export function listRole(query) {
  return request({
    url: '/admin/role/rolelist',
    method: 'get',
    params: query
  })
}

// 查询角色详细
export function getRole(params) {
  return request({
    url: '/admin/role/rolebyid',
    method: 'get',
    params: params
  })
}

// 新增角色
export function addRole(data) {
  return request({
    url: '/admin/role/addrole',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updateRole(data) {
  return request({
    url: '/admin/role/uprole',
    method: 'put',
    data: data
  })
}

// 角色数据权限
export function dataScope(data) {
  return request({
    url: '/api/v1/roledatascope',
    method: 'put',
    data: data
  })
}

// 角色状态修改
export function changeRoleStatus(role_id, status) {
  const data = {
    role_id,
    status
  }
  return request({
    url: '/admin/role/uprole',
    method: 'put',
    data: data
  })
}

// 删除角色
export function delRole(roleId) {
  return request({
    url: '/admin/role/delrole/' + roleId,
    method: 'delete'
  })
}

export function getListrole(id) {
  return request({
    url: '/api/v1/menu/role/' + id,
    method: 'get'
  })
}

export function getRoutes() {
  return request({
    url: '/sysMenu',
    method: 'get'
  })
}

export function getMenuNames() {
  return request({
    url: '/api/v1/menuids',
    method: 'get'
  })
}
